﻿Public Class CompileOptionError
    '' -fmax-errors=n
    ''    Limits the maximum number of error messages to n,
    ''    at which point GCC bails out rather than attempting to continue 
    ''    processing the source code. If n is 0 (the default), there is no limit 
    ''    on the number of error messages produced. If -Wfatal-errors is also specified, 
    ''    then -Wfatal-errors takes precedence over this option. 
    Public MaxError As Integer = 0

    '' -fsyntax-only
    ''    Check the code for syntax errors, but don't do anything beyond that.
    Public SyntaxOnly As Boolean = False

    '' -Wfetal-errors
    ''    This option causes the compiler to abort compilation on the first 
    ''    error occurred rather than trying to keep going and printing further 
    ''    error messages
    Public FetalErrors As Boolean = False

    Public Function GetOptionString() As String
        Return ""
    End Function
End Class
